Skip to content
Start here

Get AS-level relationships by ASN

client.radar.entities.asns.rel(numberasn, ASNRelParams { asn2, format } query?, RequestOptionsoptions?): ASNRelResponse { meta, rels }
GET/radar/entities/asns/{asn}/rel

Retrieves AS-level relationship for given networks.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
User Details WriteUser Details Read
ParametersExpand Collapse
asn: number

Retrieves all ASNs with provider-customer or peering relationships with the given ASN.

query: ASNRelParams { asn2, format }
asn2?: number

Retrieves the AS relationship of ASN2 with respect to the given ASN.

format?: "JSON" | "CSV"

Format in which results will be returned.

One of the following:
"JSON"
"CSV"
ReturnsExpand Collapse
ASNRelResponse { meta, rels }
meta: Meta { data_time, query_time, total_peers }
data_time: string
query_time: string
total_peers: number
rels: Array<Rel>
asn1: number
asn1_country: string
asn1_name: string
asn2: number
asn2_country: string
asn2_name: string
rel: string

Get AS-level relationships by ASN

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const response = await client.radar.entities.asns.rel(3);

console.log(response.meta);
{
  "result": {
    "meta": {
      "data_time": "data_time",
      "query_time": "query_time",
      "total_peers": 0
    },
    "rels": [
      {
        "asn1": 0,
        "asn1_country": "asn1_country",
        "asn1_name": "asn1_name",
        "asn2": 0,
        "asn2_country": "asn2_country",
        "asn2_name": "asn2_name",
        "rel": "rel"
      }
    ]
  },
  "success": true
}
Returns Examples
{
  "result": {
    "meta": {
      "data_time": "data_time",
      "query_time": "query_time",
      "total_peers": 0
    },
    "rels": [
      {
        "asn1": 0,
        "asn1_country": "asn1_country",
        "asn1_name": "asn1_name",
        "asn2": 0,
        "asn2_country": "asn2_country",
        "asn2_name": "asn2_name",
        "rel": "rel"
      }
    ]
  },
  "success": true
}